# Generated from crafting_table-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crafting_table

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A library allowing to calculate the required amount of resources to craft item(s) in Minecraft
License: Apache 2.0
URL: https://bitbucket.org/Lavode/crafting-table
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Crafting assistant for Minecraft.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%{gem_instdir}/crafting_table.gemspec
%{gem_instdir}/examples
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.3.0-1
- Initial package
